package com.onc.nft

import android.app.Application
import com.orange.tool.General
import com.orange.tool.app.IApp
import java.lang.Exception

class App :IApp(){
    override fun init(app: Application, applicationFlag: Boolean) {
        if(!applicationFlag){
            for (value in General.widgetArray){
                try {
                    val clazz = Class.forName(value)
                    (clazz.getConstructor().newInstance() as IApp).init(app,applicationFlag)
                }catch (e:Exception){}
            }
        }
    }

}